#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries
#
Summary:	An implementation of the GEIS (Gesture Engine Interface and Support) interface
Name:		geis
Version:	2.2.17
Release:	9
License:	GPL v3/LGPL v3
Group:		Libraries
Source0:	https://launchpad.net/geis/trunk/%{version}/+download/%{name}-%{version}.tar.xz
# Source0-md5:	2ff9d76a3ea5794516bb02c9d1924faf
Patch0:		build.patch
URL:		https://launchpad.net/geis
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.2.16
BuildRequires:	frame-devel >= 2.2
BuildRequires:	grail-devel >= 3.0.8
BuildRequires:	libtool
BuildRequires:	libxcb-devel >= 1.6
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools > 7.0
BuildRequires:	rpm-pythonprov
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel >= 1.3
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GEIS is a library for applications and toolkit programmers which
provides a consistent platform independent interface for any
system-wide input gesture recognition mechanism.

%package tools
Summary:	Test tools for geis library
Summary(pl.UTF-8):	Testowe narzędzia biblioteki geis
Summary(pl.UTF-8):	Wspólne pliki biblioteki geis
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description tools
Test tools for geis library.

%description tools -l pl.UTF-8
Testowe narzędzia biblioteki geis.

%package devel
Summary:	Header files for geis library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki geis
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for geis library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki geis.

%package static
Summary:	Static geis library
Summary(pl.UTF-8):	Statyczna biblioteka geis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static geis library.

%description static -l pl.UTF-8
Statyczna biblioteka geis.

%package -n python3-geis
Summary:	Python3 bindings for geis library
Summary(pl.UTF-8):	Wiązania python3 dla biblioteki geis
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3-modules

%description -n python3-geis
Python3 bindings for geis library.

%description -n python3-geis -l pl.UTF-8
Wiązania python3 dla biblioteki geis.

%package -n geisview
Summary:	A tool to view operation of the GEIS API
Summary(pl.UTF-8):	Narzędzie do przeglądania działania GEIS API.
Group:		Applications
Requires:	python3-geis = %{version}-%{release}

%description -n geisview
A tool to view operation of the GEIS API.

%description -n geisview -l pl.UTF-8
Narzędzie do przeglądania działania GEIS API.

%prep
%setup -q
%patch0 -p1

sed -i -e 's#-pedantic##g' configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libgeis.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeis.so.1

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/geistest
%attr(755,root,root) %{_bindir}/pygeis
%{_mandir}/man1/pygeis.1*
%{_mandir}/man1/geistest.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeis.so
%{_includedir}/geis
%{_pkgconfigdir}/libgeis.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgeis.a
%endif

%files -n python3-geis
%defattr(644,root,root,755)
%{py3_sitedir}/_geis_bindings.so
%dir %{py3_sitescriptdir}/geis
%{py3_sitescriptdir}/geis/__pycache__
%{py3_sitescriptdir}/geis/__init__.py*
%{py3_sitescriptdir}/geis/geis_v2.py*

%files -n geisview
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/geisview
%dir %{py3_sitescriptdir}/geisview
%{py3_sitescriptdir}/geisview/__pycache__
%{py3_sitescriptdir}/geisview/*.py*
%{_desktopdir}/geisview.desktop
%dir %{_datadir}/geisview
%{_datadir}/geisview/filter_definition.ui
%{_datadir}/geisview/filter_list.ui
%{_datadir}/geisview/geisview.ui
%{_pixmapsdir}/geisview32x32.xpm
%{_mandir}/man1/geisview.1*
%changelog
* Sat Nov 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geis.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 1be5015
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 132dfc5
- release 8 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a453b29
- rebuild with python 3.8
- release 7 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c058ab
- rel 6; fixes from debian

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 49095df
- release 5 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> c8a1215
- release 4 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a61221
- python 3.6
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4effc87
- release 2 (by relup.sh)

* Wed Sep 16 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e5d9886
- up to 2.2.17; drop pedantic flag (failed to build on Werror)

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 236e83a
- python 3.5 rebuild
- release 2 (by relup.sh)

* Fri May 15 2015 Jan Rękorajski <baggins@pld-linux.org> 3f5d1bd
- new

